Bug 427901 - XMLRPC function createBug
XMLRPC function createBug
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks: RHBZ30UpgradeTracker 406131 427053
  Show dependency treegraph
 
Reported: 2008-01-07 21:03 EST by Noura El hawary
Modified: 2013-06-24 00:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 16:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test for upstream function Bug::create() (1.02 KB, text/plain)
2008-01-11 02:17 EST, Noura El hawary
no flags Details

  None (edit)
Description Noura El hawary 2008-01-07 21:03:03 EST
write xmlrpc function createBug that is to be contributed to the upstream.
Please refer to the following url for details on Bugzilla::RPC 2.18 functions mapped to upstream Bugzilla::WebService and for 2.18 xmlrpc functions sorted by percentage of calls: https://engineering.redhat.com/trac/bugzilla-3.0-rh/wiki/XmlrpcCrossComparison#a2.18xmlrpcfunctionssortedbypercentageofcalls
Comment 1 Noura El hawary 2008-01-11 02:17:23 EST
Created attachment 291355 [details]
test for upstream function Bug::create()

Hi Dave,,

I was trying to test the upstream xmlrpc function Bug::create() and I couldn't
get the login to work,, I am not sure what am doing wrong? I am attaching my
test ,, please take a look at it when you have time. 

from looking at the upstream functions they don't pass the username and
password for authentication to the xmlrpc functions ,, So I guess we will have
to use the xmlrpc function User::login before we can call any other function
the requires login is that right? 

Thanks,
Noura
Comment 2 Noura El hawary 2008-01-11 02:38:10 EST
actually Dave if the test looks fine to you and this is how the login happens ,,
I think I might have something wrong in my data/params values. I will look into
it deeper tomorrow.

Thanks,
Noura
Comment 3 Noura El hawary 2008-01-11 20:33:18 EST
(In reply to comment #2)
> actually Dave if the test looks fine to you and this is how the login happens ,,
> I think I might have something wrong in my data/params values. I will look into
> it deeper tomorrow.
> 
> Thanks,
> Noura
> 

Fixed ,, it was a problem in the data/params file
Comment 4 David Lawrence 2008-03-18 16:33:50 EDT
This feature is included now in Milestone 2. Any bugs found with this feature
should be file as a new report and set to block the 3.2 final release tracker.

Note You need to log in before you can comment on or make changes to this bug.